org.apache.poi.xddf.usermodel.text

## Enum TextAlignment

- java.lang.Object
- - java.lang.Enum<TextAlignment>
  - - org.apache.poi.xddf.usermodel.text.TextAlignment

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TextAlignment>

      public enum TextAlignment
      extends java.lang.Enum<TextAlignment>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CENTER`
    `DISTRIBUTED`
    `JUSTIFIED`
    `JUSTIFIED_LOW`
    `LEFT`
    `RIGHT`
    `THAI_DISTRIBUTED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TextAlignment` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TextAlignment[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CENTER

          public static final TextAlignment CENTER

    - #### DISTRIBUTED

          public static final TextAlignment DISTRIBUTED

    - #### JUSTIFIED

          public static final TextAlignment JUSTIFIED

    - #### JUSTIFIED_LOW

          public static final TextAlignment JUSTIFIED_LOW

    - #### LEFT

          public static final TextAlignment LEFT

    - #### RIGHT

          public static final TextAlignment RIGHT

    - #### THAI_DISTRIBUTED

          public static final TextAlignment THAI_DISTRIBUTED

  - ### Method Detail

    - #### values

          public static TextAlignment[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TextAlignment c : TextAlignment.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TextAlignment valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.